Practice
List locations
This endpoint retrieves locations with optional organization_id query parameter.
Request
- Query Parameters
- organization_id (optional)
- with_attribution_script_install(optional): Pass this param (as shown in example below) to fetch those practices that has installed the TC attribution script on their websites.
{
"q": {
"with_attribution_script_install": true
}
}
The response is in JSON format and follows the schema below:
{
"data": [
{
"id": "string",
"type": "string",
"attributes": {
"title": "string",
"email": "string",
"website": "string",
"pms_type": "string",
"last_sync": "string",
"data_provider": "string",
"business_hours_weekly_summary": [
{
"day": "string",
"open": "string",
"hours": 0
}
],
"name": "string",
"phone_number": "string",
"country": "string",
"data_provider_id": "string",
"third_party_identifier": {
"data": [
{
"id": "number",
"type": "string",
"attributes": {
"individual_id": "number",
"individual_type": "string",
"external_id": "string"
}
}
]
}
}
}
]
}
organization_id is optional. If provided, the request returns locations under the specified organization within the consulting firm. If omitted, it returns all locations across all organizations under the consulting firm.
GET
/
locations
List locations
curl --request GET \
--url https://api.teamcaredental.com/api/v2/vendors/locations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.teamcaredental.com/api/v2/vendors/locations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.teamcaredental.com/api/v2/vendors/locations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.teamcaredental.com/api/v2/vendors/locations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.teamcaredental.com/api/v2/vendors/locations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.teamcaredental.com/api/v2/vendors/locations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.teamcaredental.com/api/v2/vendors/locations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "string",
"type": "string",
"attributes": {
"title": "string",
"email": "string",
"website": "string",
"pms_type": "string",
"last_sync": "string",
"data_provider": "string",
"business_hours_weekly_summary": [
{
"day": "string",
"open": "string",
"hours": 0
}
],
"name": "string",
"phone_number": "string",
"country": "string",
"data_provider_id": "string",
"third_party_identifier": {
"data": [
{
"id": 0,
"type": "string",
"attributes": {
"individual_id": 0,
"individual_type": "string",
"external_id": "string"
}
}
]
}
}
}
]
}{
"errors": "not authorized"
}{
"errors": "access Denied"
}{
"errors": "resource not found"
}{
"errors": "..."
}Authorizations
JWT returned by POST /auth/token. Valid for six hours.
Query Parameters
If provided, the request returns locations under the specified organization within the consulting firm. If omitted, it returns all locations across all organizations under the consulting firm.
Example:
525
Show child attributes
Show child attributes
Page number (page-based pagination).
Example:
1
Items per page.
Example:
10
Response
Successful response
The response is of type object.
⌘I
List locations
curl --request GET \
--url https://api.teamcaredental.com/api/v2/vendors/locations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.teamcaredental.com/api/v2/vendors/locations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.teamcaredental.com/api/v2/vendors/locations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.teamcaredental.com/api/v2/vendors/locations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.teamcaredental.com/api/v2/vendors/locations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.teamcaredental.com/api/v2/vendors/locations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.teamcaredental.com/api/v2/vendors/locations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "string",
"type": "string",
"attributes": {
"title": "string",
"email": "string",
"website": "string",
"pms_type": "string",
"last_sync": "string",
"data_provider": "string",
"business_hours_weekly_summary": [
{
"day": "string",
"open": "string",
"hours": 0
}
],
"name": "string",
"phone_number": "string",
"country": "string",
"data_provider_id": "string",
"third_party_identifier": {
"data": [
{
"id": 0,
"type": "string",
"attributes": {
"individual_id": 0,
"individual_type": "string",
"external_id": "string"
}
}
]
}
}
}
]
}{
"errors": "not authorized"
}{
"errors": "access Denied"
}{
"errors": "resource not found"
}{
"errors": "..."
}
